<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<!-- BEGIN CMMI_matrix_rpt.jsp -->

<!--

CMMI Matrix Report

The CMMI weighted matrix extends the Telelogic Change Matrix report in several ways:
- The attribute label is displayed as part of the table
- Listbox attributes will be displayed with all possible values regardless of the
  the result set containing CRs with all values or not. The values are displayed in the 
  order they are deifned in the listbox editor.
- The status attribute "crstatus" will be displayed with all possible values regardless of the
  the result set containing CRs in all states or not. The states reachable by the primary 
  transitions will be listed first followed by the remaining ones in alphabetical order.
- The status attribute "crstatus" will be grouped into lifecyles.

When ran as a homepage report JavaScript is omitted as the report result is included as innerHTML of
a DIV section. To allow processing of the data in JavaScript the result is written as a JavaScript 
code snippet into an attribute. The JavaScript code on the home_page loader can retrive this code
and excecute it.
The result is written to a prepared table of a fixed size. Creating a table dynamically in the DOM
structure would be very complicated, if providing formatting using style sheets.

-->


<%@ page import="java.util.*"%>
<%@ page import="com.telelogic.cs.report.*"%>
<%@ page import="com.telelogic.cs.api.User"%>
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>


<%--
	If there is an error use c:set to set a variable in the request object called
	errorMessage and forward on to the error page.
--%>
<c:if test="${queryResults.hasErrorMessage}">
	<c:set value="${queryResults.errorMessage}" var="errorMessage" scope="request"/>
	<c:set var="infoIcon" scope="request">
		<c:if test="${queryResults.errorType == 3}">true</c:if>
	</c:set>
	<jsp:forward page="/WEB-INF/wsconfig/templates/pt/forms/block_message.jsp"/>
</c:if>

<%--
	Skip HTML page header, stylesheets and report header, if run as a home page report
--%>
<c:if test="${homePageReport != 'true'}">
	<HTML>
		<HEAD>
			<TITLE>
				<change:wsletExpander>
					<!-- WSLET CODE=PTLoadData -->
		     		<!-- PARAM NAME=CCM_WINDOW_LABEL -->
					<!-- /WSLET -->
				</change:wsletExpander>
			</TITLE>

			<STYLE type="text/css">
			<!--
				<change:wsletExpander>
					<!-- WSLET CODE=PTInclude -->
					<!-- PARAM NAME=styles/report.css -->
					<!-- /WSLET -->
				</change:wsletExpander>
				<change:wsletExpander>
					<!-- WSLET CODE=PTInclude -->
					<!-- PARAM NAME=styles/ECP_MatrixReport.css -->
					<!-- /WSLET -->
				</change:wsletExpander>

				td.center
				{
					text-align: center;
				}
			-->
			</STYLE>
		</HEAD>
	<BODY>

	<jsp:include page="/WEB-INF/wsconfig/templates/pt/reports/user_framework/adhocHeader.jsp"/>
	<HR>
	<BR>
</c:if>


<%-- 
	Required javascript
--%>
<SCRIPT type="text/javascript">
	var database = <change:javaScriptEscape value="${user.database}"/>;
	var role = <change:javaScriptEscape value="${user.role}"/>;
</SCRIPT>
<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=custom_controls/matrixReport.CUSTOM -->
	<!-- /WSLET -->
</change:wsletExpander>
<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=custom_controls/CMMI_matrix_report.CUSTOM -->
	<!-- /WSLET -->
</change:wsletExpander>


<%-- 
	Scriplet to process and create the matrix information
	This craeates a compact data set that can be processed on the client side
--%>
<%
	MatrixReport matrixReport = new MatrixReport();

	QueryResults queryResults = (QueryResults) request.getAttribute("queryResults");
	List reportAttributes = queryResults.getReportAttributes();

	String attribute1 = (String) reportAttributes.get(0);
	String attribute2 = (String) reportAttributes.get(1);

	List queryResultsItems = queryResults.getQueryResultItems();
	
	out.println("<!-- count = " + queryResultsItems.size() + " -->");

	for (int i = 0; i < queryResultsItems.size(); i++)
	{
		QueryResultsItem queryResultsItem = (QueryResultsItem) queryResultsItems.get(i);
		QueryResultsAttribute queryAttr1 = (QueryResultsAttribute) queryResultsItem.getAttribute(attribute1);
		QueryResultsAttribute queryAttr2 = (QueryResultsAttribute) queryResultsItem.getAttribute(attribute2);
		
		matrixReport.update(queryAttr1, queryAttr2);
	}

	matrixReport.normalize();

	pageContext.setAttribute("matrixReport", matrixReport);
%>


<%--
	Create a CENTER section with the following attributes
	onHomePageLoadFunction:		Function to be called from the home page loader to perform
								calcuations
	getEcpMatrixReportResult:	JavaScript code to hand over report result as 
								JavaScript ECPMatrixReport object

--%>

<c:set var="ecpIdBase" value="ECPMatrixReport"/>
<c:set var="onHomePageLoadFunction" value="OnHomePageLoadFunction"/>

<CENTER
	id='${ecpIdBase}'
	name='${ecpIdBase}'
	${onHomePageLoadFunction}='ECPMatrixReportUtilities.loadECPMatrixReport'
	getEcpMatrixReportResult=
	'
		var matrix = new ECPMatrix(
			[
				[
					new ECPCell(null, null, null, "ecp_mr_header_corner", null)
					<c:forEach var="column" items="${matrixReport.columnNames}" varStatus="columnStatus">
						<c:choose>
							<c:when test="${column == ''}">, new ECPCell(null, null, null, "ecp_mr_header", null)</c:when><c:otherwise>, new ECPCell("${column}", null, null, "ecp_mr_header", null)</c:otherwise>
						</c:choose>
					</c:forEach> 
					, new ECPCell("<change:resource key="totals"/>", null, null, "ecp_mr_header_total", null)
				]
				<c:forEach var="row" items="${matrixReport.matrixRows}" varStatus="rowStatus">, [ 
					<c:choose>
						<c:when test="${matrixReport.rowNames[rowStatus.index] == ''}">new ECPCell(null, null, null, "ecp_mr_header", null)</c:when><c:otherwise>new ECPCell("${matrixReport.rowNames[rowStatus.index]}", null, null, "ecp_mr_header", null)</c:otherwise>
					</c:choose>
					<c:forEach var="column" items="${row.matrixColumns}" varStatus="columnStatus">
						<c:choose>
							<c:when test="${column.size > 0}">, new ECPCell(${column.size}, "javascript:loadCrColumnDrillDown(${rowStatus.index}, ${columnStatus.index}, \"%1\")", "${column.cvidListAsString}", "ecp_mr", null)</c:when><c:otherwise>, new ECPCell(${column.size}, "javascript:loadCrColumnDrillDown(${rowStatus.index}, ${columnStatus.index}, \"%1\")", null, "ecp_mr", null)</c:otherwise>
						</c:choose>
					</c:forEach>
					<c:choose>
						<c:when test="${row.size > 0}">, new ECPCell(${row.size}, "javascript:loadCrRowTotalDrillDown(${rowStatus.index}, \"%1\")", "${row.cvidListAsString}", "ecp_mr_total", null)</c:when><c:otherwise>, new ECPCell(${row.size}, "javascript:loadCrRowTotalDrillDown(${rowStatus.index}, \"%1\")", null, "ecp_mr_total", null)</c:otherwise>
					</c:choose>
				]</c:forEach>
				, [ 
					new ECPCell("<change:resource key="totals"/>", null, null, "ecp_mr_header_total", null)
					<c:forEach var="column" items="${matrixReport.columnNames}" varStatus="columnStatus">
						<%
							String name = (String) pageContext.getAttribute("column");
							MatrixColumnTotal total = matrixReport.getMatrixColumnTotal(name);
							pageContext.setAttribute("columnTotal", total);
						%>
						<c:choose>
							<c:when test="${columnTotal.total > 0}">, new ECPCell(${columnTotal.total}, "javascript:loadCrColumnTotalDrillDown(${columnStatus.index}, \"%1\")", "${columnTotal.cvidListAsString}", "ecp_mr_total", null)</c:when><c:otherwise>, new ECPCell(${columnTotal.total}, "javascript:loadCrColumnTotalDrillDown(${columnStatus.index}, \"%1\")", null, "ecp_mr_total", null)</c:otherwise>
						</c:choose>
					</c:forEach>
					, new ECPCell(${matrixReport.total}, "javascript:loadCrAllDrillDown(\"%1\")", "${matrixReport.allCvidsAsString}", "ecp_mr_total_total", null)
				]
			]);
		matrix_report = new ECPMatrixReport(
			null,
			"${queryResults.reportAttributes[0]}",
			"${queryResults.reportAttributes[1]}",
			matrix,
			"ecp_mr");
	';>
</CENTER>


<%--
	Do initiate report calculations, if not running as a home page report
--%>

<c:if test="${homePageReport != 'false'}">
	<SCRIPT type="text/javascript">
		ECPMatrixReportUtilities.callFunctionFromAttribute(document.getElementById('${ecpIdBase}'), '${onHomePageLoadFunction}');
	</SCRIPT>
</c:if>


<%--
	Skip closing tags, if run as a home page report
--%>
<c:if test="${homePageReport != 'true'}">
	</BODY>
</HTML>
</c:if>

<!-- END CMMI_matrix_rpt.jsp -->
