<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
			<STYLE TYPE="text/css">
				.object-table-border
				{
					border: solid gray 1px;
				}

				TABLE.object-table
				{
					border-spacing: 0px;
					margin: 0;
				}

				TABLE.object-table TH
				{
					border: solid gray 1px;
					color: #006;
					background-color: #B2BBCF;
					font-weight: bold;	
					text-align: left;
					padding: 2px 4px 2px 4px;
					white-space: nowrap;
				}

				TABLE.object-table TR
				{
					color: black;
					background-color: white;
					text-align: left;
				}

				TABLE.object-table TD
				{
					border: solid gray 1px;
					border-bottom: solid 1px rgb(90%, 90%, 90%);
					padding: 2px 4px 2px 4px;
					white-space: nowrap;
					vertical-align: top;
				}

				TABLE.object-table IMG
				{
					vertical-align: middle;
				}
			</STYLE>
			<table border="1" CELLPADDING="2" STYLE="margin-top: 5px; margin-bottom: 7px;" CELLSPACING="0" CLASS="object-table object-table-border">
				<th>Action</th>
				<th>First Performed By</th>
				<th>First Time Performed</th>
				<th>Last Performed By</th>
				<th>Last Time Performed</th>
				<th>Added Below Object</th>
				<th>Added After Object</th>
			<xsl:for-each select="CHANGES/ACTION">
				<tr>
					<xsl:choose>
						<xsl:when test="NAME"> <td><xsl:value-of select="NAME"/></td></xsl:when>
						<xsl:otherwise> <td bgcolor='#B2BBCF'></td> </xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="OUTLINKS"> 
							<TD COLSPAN="6" ALIGN="center">
							<TABLE BORDER="1" STYLE="margin-top: 5px; margin-bottom: 7px;" CELLSPACING="0" CLASS="object-table object-table-border">
								<th>Target Object</th>
								<th>First Performed By</th>
								<th>First Time Performed</th>
								<th>Link Module</th>
								<xsl:for-each select="OUTLINKS/OUTLINK">
									<tr>
										<td>
											<xsl:value-of select="LinkTarget"/>
										</td>
										<td>
											<xsl:value-of select="FirstBy"/>
										</td>
										<td>
											<xsl:value-of select="FirstTime"/>
										</td>
										<td>
											<xsl:value-of select="LinkModule"/>
										</td>
									</tr>
								</xsl:for-each>
							</TABLE>
							</TD>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="FirstBy"> <td><xsl:value-of select="FirstBy"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose>	
							<xsl:choose>
								<xsl:when test="FirstTime"> <td><xsl:value-of select="FirstTime"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose>	
							<xsl:choose>
								<xsl:when test="LastBy"> <td><xsl:value-of select="LastBy"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="LastTime"> <td><xsl:value-of select="LastTime"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ObjLocation/Below"> <td><xsl:value-of select="ObjLocation/Below"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ObjLocation/After"> <td><xsl:value-of select="ObjLocation/After"/></td></xsl:when>
								<xsl:otherwise> <td bgcolor='#B2BBCF'>&#160;</td></xsl:otherwise>
							</xsl:choose> 
						</xsl:otherwise>
					</xsl:choose>
				</tr>
 			</xsl:for-each>		
			</table>
</xsl:template>
</xsl:stylesheet>
