<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<!-- admin_framework\customize_ui_preview.jsp -->

<html>
<head>
	<title><change:resource key="crPreviewsTab"/></title>

	<link rel="stylesheet" type="text/css" href="<change:urlCreator webResource='JS'/>dojo/dijit/themes/dijit.css">
	<link rel="stylesheet" type="text/css" href="<change:urlCreator webResource='JS'/>dojo/dijit/themes/tundra/tundra.css">

	<style type="text/css">

		<change:wsletExpander>
		<!-- WSLET CODE=PTInclude -->
		<!-- PARAM NAME=styles/default.css -->
		<!-- PARAM NAME=styles/note.css -->
		<!-- PARAM NAME=styles/tabs_wrappable.css -->
		<!-- PARAM NAME=styles/visual_table.css -->
		<!-- /WSLET -->
		</change:wsletExpander>

		table.visual-table {
			margin-left: 0;
			margin-right: 0;
		}

		.wrapper {
				<%-- center the page --%>
				width: 56em;
				padding: 0;
				margin: 0 auto;
				text-align: left;
		}

		.ui_preview_form {
			border: solid 1px gray;
			background-color: #fdfce3;
			padding: 1em;
			margin: 1em 0;
		}

		table {
			border-collapse: collapse;
			margin: 0;
		}

		td {
			padding: 7px 4px;
		}

		#empty-body {
			text-align: center;
			color: gray;
			padding: 1em 0;
			border: dashed 1px gray;
		}

		#empty-body td {
			cbackground-color: #FEDD9E;
		}

		#more-table {
			margin: 10px 0;
		}

		.dirty {
			color: red;
		}
		
		 h1, p {
			margin: 1em 0;
		}
		
	</style>
</head>

<body class="tundra">
	<div class="wrapper">

		<c:set var="customizePreviews" value="${true}"/>
		<%@ include file="oslc_tabs.jspf" %>

		<c:if test="${not processLoaded}">
			<div class="note">
				<p>
					<img class="error-icon" alt="<change:resource key='altTextWarning'/>" src="<change:urlCreator webResource='PTIMAGES'/>warning_small.gif">
					<change:resource key="err00064"/>
				</p>
			</div>
		</c:if>

		<h1><change:resource key="customizeCrPreviews"/></h1>

		<p class="help-text">
			<change:resource key="crPreviewsHelp"/>
		</p>
		
		<form name="previewForm" method="post" action="<c:url value="/customize_ui_preview.do"/>">
			
			<input name="token" type="hidden" value="${user.token}">
			<input name="moreAttributes" type="hidden" value="">

			<div class="ui_preview_form">
				<table width="100%">
					<col width="1"><col width="9999"><col width="1"><col width="1">
					<tr>
						<td>
							<img alt="Change Request Icon" src="<change:urlCreator webResource="PTIMAGES"/>change_request_16x16.gif">
						</td>
						<td>
							<strong>
								<change:resource key="cridPlaceholder"/>
							</strong>
						</td>
						<td>
							<change:attributeSelect uiPreview="true" name="topRightOne" selected="${preview.topRight[0]}">
								<option value=""><change:resource key="emptyField"/></option>
							</change:attributeSelect>
						</td>
						<td>
							<change:attributeSelect uiPreview="true" name="topRightTwo" selected="${preview.topRight[1]}">
								<option value=""><change:resource key="emptyField"/></option>
							</change:attributeSelect>
						</td>
					</tr>

					<tr>
						<td colspan="4">
							<change:attributeSelect uiPreview="true" name="synopsis" style="width: 100%;" selected="${preview.synopsis}">
								<option value=""><change:resource key="emptyField"/></option>
							</change:attributeSelect>
						</td>
					</tr>
				</table>
				
				
				<table class="preview_section" width="100%" id="more-table">
					<col width="9999"><col width="9999"><col width="1">
					
						<c:if test="${empty preview.customAttributes}">
							<tbody id="empty-body">
						</c:if> 
						<c:if test="${not empty preview.customAttributes}">
							<tbody id="empty-body" style="display: none;">
						</c:if> 

						<tr>
							<td colspan="4">
								<a href="#" class="add-row"><change:resource key="addMoreAttributes"/></a>
							</td>
						</tr>
					</tbody>

					<tbody id="more-body">
						<c:forEach var="row" items="${preview.customAttributes}">
							<tr>
								<td style="width: 43%;">
									<change:attributeSelect uiPreview="true" style="width: 100%;" selected="${row[0]}">
										<option value=""><change:resource key="emptyField"/></option>
									</change:attributeSelect>
								</td>
								<td style="width: 43%;">
									<change:attributeSelect uiPreview="true" style="width: 100%;" selected="${row[1]}">
										<option value=""><change:resource key="emptyField"/></option>
									</change:attributeSelect>
								</td>
								<td style="width: 14%;">
									<a class="add-row" href="#"><change:resource key="add"/></a>&nbsp;|&nbsp;<a class="remove-row" href="#"><change:resource key="remove"/></a>
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
				
				<p class="help-text">
					<change:resource key="onlyLargePreviews"/>
				</p>
				
				<table class="preview_section" width="100%">
					<tr>
						<td>
							<change:attributeSelect uiPreview="true" name="description" style="width: 100%;" selected="${preview.description}">
								<option value=""><change:resource key="emptyField"/></option>
							</change:attributeSelect>
						</td>
					</tr>
				</table>
			</div>

			<div style="text-align: center; margin-top: 2em;">
				<input type="submit" class="button" id="save-button" value="<change:resource key="save"/>" disabled>
			</div>
			
			<c:if test="${not empty errorMessage}">
				<div class="note" id="errorMessage">
					<p>
						<strong>
							<img id="error-icon" alt="<change:resource key='altTextWarning'/>" src="<change:urlCreator webResource='PTIMAGES'/>warning_small.gif">
							<c:out value="${errorMessage}"/>
						</strong>
					</p>
				</div>
			</c:if>

		</form>
			
		<table id="template-table" style="display: none;">
			<tr id="row-template">
				<td style="width: 43%;">
					<change:attributeSelect style="width: 100%;">
						<option value=""><change:resource key="emptyField"/></option>
					</change:attributeSelect>
				</td>
				<td style="width: 43%;">
					<change:attributeSelect style="width: 100%;">
						<option value=""><change:resource key="emptyField"/></option>
					</change:attributeSelect>
				</td>
				<td style="width: 14%;">
					<a class="add-row" href="#"><change:resource key="add"/></a>&nbsp;|&nbsp;<a class="remove-row" href="#"><change:resource key="remove"/></a>
				</td>
			</tr>
		</table>

	</div>
	
	<form name="statusAction" target="pt_status" method="GET" action="<change:urlCreator webResource='BASEURL'/>/formLoader.do">
			<input name="token" type="hidden" value="${user.token}">
			<input name="formName" type="hidden" value="statusLineMessage">
			<input name="isErrorMessage" type="hidden" value="false">
			<input name="message" type="hidden">
		</form>

	<script type="text/javascript" src="<change:urlCreator webResource='JS'/>dojo/dojo/dojo.js" djConfig="parseOnLoad: true"></script>

	<script type="text/javascript">
	(function() {

		var $ = dojo.byId;
		var $$ = dojo.query;

		(function()
		{
			<%--
				Walks the parent and ancestors of a node until it finds
				an ancestor with a matching nodeName. Optionally
				also checks the class of the ancestor before accepting it.
			 --%>
			function ancestor(child, parentNodeName, withClass)
			{
				var parent = child.parentNode;
				while (parent)
				{
					if (parent.nodeName == parentNodeName.toUpperCase() &&
						(!withClass || dojo.hasClass(parent, withClass)))
					{
						return parent;
					}
					
					parent = parent.parentNode;
				}
			}
			
			dojo.require('dojo.NodeList-fx');

			<%--
				Adds a new animation method to dojo.NodeLists (resturned from dojo.query or $$)
				which performs a yellow fade effect on the selected nodes.
			 --%>
			dojo.NodeList.prototype.flashYellow = function(startColor) {
				startColor = startColor || '#fff9b0';
				this.style('backgroundColor', startColor);

				var self = this;
				return this.anim(
					{'backgroundColor': 'white'},
					500,
					null,
					function() { self.style('backgroundColor', ''); }
					);
			};

			dojo.NodeList.prototype.flashOrange = function(startColor) {
				return this.flashYellow('#FEDD9E');
			};

			function RowManager(tbody, rowTemplate, emptyTbody)
			{
				this._tbody = tbody;
				this._rowTemplate = rowTemplate;
				this._emptyTbody = emptyTbody;

				dojo.connect(tbody.parentNode, 'onclick', dojo.hitch(this, this.onClick));
			}

			RowManager.prototype.onClick = function(e)
			{
				var target = e.target;

				if (dojo.hasClass(target, 'add-row'))
				{
					dojo.stopEvent(e);
					this.addRowAfter(ancestor(target, 'TR'));
				}
				else if (dojo.hasClass(target, 'remove-row'))
				{
					dojo.stopEvent(e);
					this.removeRow(ancestor(target, 'TR'));
				}
			};
			
			RowManager.prototype.removeRow = function(row)
			{
				var deadRows = $$(row);

				deadRows.orphan();
				this.stripeTable();
				this.rowsChanged();

				if (this._tbody.rows.length == 0)
				{
					this.removedLastRow();
				}
				else
				{
					this.rowsChanged();
				}
			};
			
			RowManager.prototype.removedLastRow = function()
			{
				this._emptyTbody.style.display = '';
			};
			
			RowManager.prototype.beforeAddFirstRow = function()
			{
				this._emptyTbody.style.display = 'none';
			};

			RowManager.prototype.addRowAfter = function(afterRow)
			{
				var newRow = this.newRowFromTemplate();
				
				if (this._tbody.rows.length == 0)
				{
					this.beforeAddFirstRow();
					this._tbody.appendChild(newRow);
				}
				else
				{
					dojo.place(newRow, afterRow, 'after');
				}
				
				var firstInput = $$(newRow).query('input, select, textarea')[0];
				if (firstInput) firstInput.focus();

				this.rowsChanged();
				this.stripeTable();
				
				$$('TD', newRow).flashOrange();
				
			};
			
			RowManager.prototype.rowsChanged = function()
			{
				
			};

			RowManager.prototype.stripeTable = function()
			{
				
			};

			RowManager.prototype.newRowFromTemplate = function()
			{
				var row = this._rowTemplate.cloneNode(true);
				row.style.display = '';
				this.initRow(row);
				return row;
			};
			
			RowManager.prototype.initRow = function(row)
			{
				return;
			};

			window.RowManager = RowManager;
				
		})();
		
		var _isDirty = false;
		
		function setDirty()
		{
			_isDirty = true;
			$$('#save-button').attr('disabled', false).addClass('dirty');
			$$('#message').style('display', 'none');
		}
		
		function selectedValue(select)
		{
			if (select.selectedIndex == -1) return "";
			return select.options[select.selectedIndex].value;
		}	

		function doSubmit()
		{
			var moreAttributes = [];

			$$('#more-body tr').forEach(function(row) {
				var selects = $$('select', row);

				var jsonRow = [
					selectedValue(selects[0]),
					selectedValue(selects[1])
					];

				moreAttributes.push(jsonRow);

			});
			
			document.previewForm.moreAttributes.value = dojo.toJson(moreAttributes);
		}

		dojo.addOnLoad(function() {
			var rowManager = new RowManager($('more-body'), $('row-template'), $('empty-body'));

			rowManager.rowsChanged = function() {
				setDirty();
			};

			$$('select').onchange(function(e) {
				setDirty();
			});

			dojo.connect(document.previewForm, 'onsubmit', doSubmit);
			document.previewForm.reset();
			
			<c:if test="${not empty param.message}">

				document.statusAction.message.value='<c:out value="${param.message}"/>';
				document.statusAction.submit();
				
			</c:if>

			<%@ include file="oslc_tabs_onload.jspf" %>		
		});
		
		window.hasModifications = function()
		{
			return _isDirty;
		}

	})();
	</script>

</body>
</html>
