	
/******************** begin subhelp.js **************************/

	/*
	 * subhelp.js
	 *
	 * Find out what help page to load for the user when they want to find
	 * out more information about the page they are on.
	 *
	 * PARAMETERS
	 * UserRole:	The current role of the user.
	 * helpID:		Integer value corresponding to a page to a help page to load.
	 *
	 */

var helpWin = null;
		
	function isValid(url)
	{
		if ((url).match(/^(http[s]?):.*/) == null)
		{
		  return false;								
		}
		
		return true;
	}
	
	function openHelp(UserRole, helpID)
	{
		// allow the omission of UserRole
		if (arguments.length == 1)
		{
			helpID = arguments[0];
		}
		
		var helpPage;
		var helpUrl = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=CHANGE_HELP_SERVER_URL --><!-- /WSLET -->";
		var locale = "lang="+"<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=LOCALE --><!-- /WSLET -->";
		if(isValid(helpUrl))
		{
		
		 switch(helpID)
		 {
			case 1: //query
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_c_hu_work_queries.html";
			}
			break;
			case 2: //reports
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_c_hu_overview_rpt.html";
			}
			break;
			case 3: //show
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_show_modify_cr.html";
			}
			break;
			case 4: //submit
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_submit_cr.html";
			}
			break;
			case 5: //transition
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_transition_cr.html";
			}
			break;
			case 6: //gettingstarted4
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_c_hu_set_user_prop.html";
			}
			break;
			case 14: //create_attach
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_create_attach_assoc_to_cr.html";
			}
			break;
			case 15: //settings2
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_set_attr_values_for_submis_forms.html";
			}
			break;
			case 17: //create task
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_create_task_assoc__to_cr.html";
			}
			break;
			case 18: //show_task
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_show_tasks.html";
			}
			break;
			case 19: //getting started5
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_set_prefs.html";
			}
			break;
			case 20: //life_cycle
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_c_ha_manage_cr_processes.html";
			}
			break;
			case 21: //crprocess_file
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_c_ha_manage_cr_processes.html";
			}
			break;
			case 22: //gen_admin_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 23://user_admin_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_user_mgnt_dialogbox.html";
			}
			break;
			case 24: //listboxes_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 25: //cspackage_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_create_pkg_tmplt_mp.html";
			}
			break;
			case 26:// debug_tab (not used)
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_use_evnt_log_dbug_cng_trc.html";
			}
			break;
			case 27://search
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_c_hu_use_search.html";
			}
			break;
			case 28: //server_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 30: //build_reports2
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.reportbuilder.doc/topics/ch_t_hrb_build_reports.html";
			}
			break;
			case 31: //build_reports
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.reportbuilder.doc/topics/ch_t_hrb_build_reports.html";
			}
			break;
			case 32: //groups_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_user_mgnt_dialogbox.html";
			}
			break;
			case 33: //acls_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_user_mgnt_dialogbox.html";
			}
			break;
			case 34: //home_page
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_create_home_pga.html";
			}
			break;
			case 35: //man_browse_user
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_add_qry_home_pgs.html";
			}
			break;
			case 36: //set_def_hp_user
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_set_default_hm_pgs.html";
			}
			break;
			case 37: //home_page_def
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_edit_home_pgs.html";
			}
			break;
			case 38: //man_def_browse
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_set_shared_qry.html";
			}
			break;
			case 39: //assign_def_hp
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_assign_home_pgs.html";
			}
			break;
			case 40: //assign_def_browse
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_assign_shared_qry.html";
			}
			break;
			case 41: //search_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 42: //ghost_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 43: //Integretion_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_admin_dialogbox.html";
			}
			break;
			case 44: //Project_Security_tab
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_user_mgnt_dialogbox.html";
			}
			break;
			case "new":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_c_po_change_53_readme.html";
			}
			break;
			case "getting-started-users":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_c_po_get_started_users.html";
			}
			break;
			case "getting-started-admin":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_c_po_get_started_admin.html";
			}
			break;
			case "browsers":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_supported_browsers.html";
			}
			break;
			case "cookie-policy":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.prodoverview.doc/topics/ch_r_po_cookie_policy.html";
			}
			break;
			case "search-tips":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_r_hu_search_tips.html";
			}
			break;
			case "set-up": // (not used)
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_t_ha_set_up_system.html";
			}
			break;
			case "oslc":
			{
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.admin.doc/topics/ch_r_ha_oslc_cm_rest_api_.html";
			}
			break;
			case "manage-folder-security":
			{				
				helpPage = helpUrl + "?"+ locale +"&" + "topic=/com.ibm.rational.change.manage.doc/topics/ch_t_hu_grant_deny_fldr_access.html";
			}
			break;
						
			default:
			{
				helpPage = helpUrl + "?"+ locale;
			}
			break;
		 }
		 	
		}
		else
		{
			helpPage = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=TRAPEZE_PATH --><!-- /WSLET -->"+ "helpserver_error.html";
		}
		
		helpWin = window.open(helpPage, 'WWHFrame', '<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->');
		helpWin.focus();
		// To see what you are going to open
		//helpPage += "changesynergy.html";
	}
	
	function openautoHelp(Url)
	{
		helpWin = window.open(Url, 'WWHFrame', '<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->');
		helpWin.focus();
	}

	function openApiHelp()
	{
		var url = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=TRAPEZE_PATH --><!-- /WSLET -->help/perl_api/index.html";
		var w = window.open(url, "PerlApi", "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=USER_WINDOW_OPTIONS --><!-- /WSLET -->");
		w.focus();
	}
	
/******************** end subhelp.js **************************/
